<script setup lang="ts">
  const props = withDefaults(
    defineProps<{
      isLiked: boolean;
      loading?: boolean;
      showLabel?: boolean;
      disabled?: boolean;
    }>(),
    {
      showLabel: true,
      loading: false,
      disabled: false,
    },
  );

  const emits = defineEmits<{
    (e: 'toggle', status?: boolean): void;
  }>();

  const toggleLike = () => {
    emits('toggle', !props.isLiked);
  };
</script>
<template>
  <SwButton variant="action" :loading="loading" :disabled="disabled" @click="toggleLike">
    <template #icon>
      <span :class="['i-sw-solid:heart text-sm transition', { 'text-crimson-500': isLiked }]" />
    </template>
    <template v-if="showLabel" #default>
      <span class="ml-1">
        {{ isLiked ? $t('remove') : $t('add') }}
      </span>
    </template>
  </SwButton>
</template>
